7155746 Userland python bits should use mediated links
authorNorm Jacobs <Norm.Jacobs@Oracle.COM>
Wed, 28 Mar 2012 10:58:59 -0700
changeset 751 32bfb3fa9b60
parent 750 9da3e3e3c604
child 752 cbd9239f6454
7155746 Userland python bits should use mediated links 7152343 userland and good eleven don't get along, awww 7085731 mediated link support for python
components/berkeleydb/Makefile
components/erlang/Makefile
components/libidn/Makefile
components/logilab-astng/logilab-astng-27.p5m
components/logilab-common/logilab-common-27.p5m
components/mercurial/Makefile
components/mercurial/mercurial-26.p5m
components/mercurial/mercurial-27.p5m
components/pylint/Makefile
components/pylint/pylint-26.p5m
components/pylint/pylint-27.p5m
components/pylint/pylint.p5m
components/python/cherrypy/Makefile
components/python/cherrypy/cherrypy-26.p5m
components/python/cherrypy/cherrypy-27.p5m
components/python/coverage/Makefile
components/python/coverage/coverage-26.p5m
components/python/coverage/coverage-27.p5m
components/python/coverage/coverage.p5m
components/python/ldtp/Makefile
components/python/ldtp/ldtp-26.p5m
components/python/ldtp/ldtp-27.p5m
components/python/m2crypto/m2crypto-27.p5m
components/python/mako/Makefile
components/python/mako/mako-27.p5m
components/python/mako/mako.p5m
components/python/nose/nose-26.p5m
components/python/nose/nose-27.p5m
components/python/ply/ply-27.p5m
components/python/pylxml/pylxml-27.p5m
components/python/python26/python-26.p5m
components/python/python27/python-27.p5m
components/python/setuptools/setuptools-26.p5m
components/python/setuptools/setuptools-27.p5m
components/python/setuptools/setuptools.p5m
transforms/defaults
--- a/components/berkeleydb/Makefile	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/berkeleydb/Makefile	Wed Mar 28 10:58:59 2012 -0700
@@ -20,11 +20,13 @@
 #
 
 #
-# Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2011, 2012, Oracle and/or its affiliates. All rights reserved.
 #
 
 include ../../make-rules/shared-macros.mk
 
+PATH=$(SPRO_VROOT)/bin:$(JAVA_HOME)/bin:/usr/bin
+
 COMPONENT_NAME=		db
 COMPONENT_VERSION=	5.1.25
 COMPONENT_PROJECT_URL=	http://www.oracle.com/technetwork/database/berkeleydb/overview/index.html
--- a/components/erlang/Makefile	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/erlang/Makefile	Wed Mar 28 10:58:59 2012 -0700
@@ -20,11 +20,13 @@
 #
 
 #
-# Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2011, 2012, Oracle and/or its affiliates. All rights reserved.
 #
 
 include ../../make-rules/shared-macros.mk
 
+PATH=$(SPRO_VROOT)/bin:$(JAVA_HOME)/bin:/usr/bin
+
 COMPONENT_NAME=		otp_src
 COMPONENT_VERSION_MAJOR=	12
 COMPONENT_VERSION_MINOR=	B
--- a/components/libidn/Makefile	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/libidn/Makefile	Wed Mar 28 10:58:59 2012 -0700
@@ -18,11 +18,11 @@
 #
 # CDDL HEADER END
 #
-# Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2011, 2012, Oracle and/or its affiliates. All rights reserved.
 #
 include ../../make-rules/shared-macros.mk
 
-PATH=$(dir $(CC)):/usr/bin:/usr/gnu/bin
+PATH=$(dir $(CC)):$(JAVA_HOME)/bin:/usr/bin:/usr/gnu/bin
 
 COMPONENT_NAME=		libidn
 COMPONENT_VERSION=	1.19
--- a/components/logilab-astng/logilab-astng-27.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/logilab-astng/logilab-astng-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -50,7 +50,13 @@
 dir path=usr/lib/python2.7/vendor-packages/logilab/astng/test/regrtest_data
 dir path=usr/lib/python2.7/vendor-packages/logilab/astng/test/regrtest_data/package
 dir path=usr/lib/python2.7/vendor-packages/logilab/astng/test/regrtest_data/package/subpackage
-file path=usr/lib/python2.7/vendor-packages/logilab_astng-0.19.0-py2.7.egg-info
+dir path=usr/lib/python2.7/vendor-packages/logilab_astng-0.19.0-py2.7.egg-info
+file path=usr/lib/python2.7/vendor-packages/logilab_astng-0.19.0-py2.7.egg-info/PKG-INFO
+file path=usr/lib/python2.7/vendor-packages/logilab_astng-0.19.0-py2.7.egg-info/requires.txt
+file path=usr/lib/python2.7/vendor-packages/logilab_astng-0.19.0-py2.7.egg-info/top_level.txt
+file path=usr/lib/python2.7/vendor-packages/logilab_astng-0.19.0-py2.7.egg-info/namespace_packages.txt
+file path=usr/lib/python2.7/vendor-packages/logilab_astng-0.19.0-py2.7.egg-info/SOURCES.txt
+file path=usr/lib/python2.7/vendor-packages/logilab_astng-0.19.0-py2.7.egg-info/dependency_links.txt
 #file path=usr/lib/python2.7/vendor-packages/logilab/__init__.py pkg.tmp.autopyc=false
 file path=usr/lib/python2.7/vendor-packages/logilab/astng/__init__.py
 file path=usr/lib/python2.7/vendor-packages/logilab/astng/__pkginfo__.py
@@ -107,8 +113,8 @@
 # pkgdepend should have picked up the dependency on /library/python-2/logilab-common;
 # this explicit depend action can be removed if pkgdepend is fixed later
 #depend fmri=__TBD \
-#    pkg.debug.depend.file=usr/lib/python2.6/vendor-packages/logilab/common/modutils.py \
-#    pkg.debug.reason=usr/lib/python2.6/vendor-packages/logilab/astng/manager.py \
+#    pkg.debug.depend.file=usr/lib/python2.7/vendor-packages/logilab/common/modutils.py \
+#    pkg.debug.reason=usr/lib/python2.7/vendor-packages/logilab/astng/manager.py \
 #    type=require
 
 # force a dependency on the Python 2.7 runtime
--- a/components/logilab-common/logilab-common-27.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/logilab-common/logilab-common-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -57,7 +57,12 @@
 dir path=usr/lib/python2.7/vendor-packages/logilab/common/test/data/subdir_differ_dir
 dir path=usr/lib/python2.7/vendor-packages/logilab/common/test/data/subdir_differ_dir/subdir
 dir path=usr/lib/python2.7/vendor-packages/logilab/common/ureports
-file path=usr/lib/python2.7/vendor-packages/logilab_common-0.40.0-py2.7.egg-info
+dir path=usr/lib/python2.7/vendor-packages/logilab_common-0.40.0-py2.7.egg-info
+file path=usr/lib/python2.7/vendor-packages/logilab_common-0.40.0-py2.7.egg-info/PKG-INFO
+file path=usr/lib/python2.7/vendor-packages/logilab_common-0.40.0-py2.7.egg-info/top_level.txt
+file path=usr/lib/python2.7/vendor-packages/logilab_common-0.40.0-py2.7.egg-info/namespace_packages.txt
+file path=usr/lib/python2.7/vendor-packages/logilab_common-0.40.0-py2.7.egg-info/SOURCES.txt
+file path=usr/lib/python2.7/vendor-packages/logilab_common-0.40.0-py2.7.egg-info/dependency_links.txt
 file path=usr/lib/python2.7/vendor-packages/logilab/__init__.py
 file path=usr/lib/python2.7/vendor-packages/logilab/common/__init__.py
 file path=usr/lib/python2.7/vendor-packages/logilab/common/__pkginfo__.py
@@ -194,14 +199,13 @@
 file path=usr/lib/python2.7/vendor-packages/logilab/common/xmlrpcutils.py
 
 # This is commentd out until there is a 2.7 version available
-# pkgdepend should have picked up the dependency on /library/python-2/python-gnome-libs-27;
-# this explicit depend action can be removed if pkgdepend is fixed later
+# pkgdepend pick up the dependency on /library/python-2/python-gnome-libs-27
 #depend fmri=__TBD \
 #    pkg.debug.depend.file=usr/lib/python2.7/vendor-packages/CORBA.py \
 #    pkg.debug.reason=usr/lib/python2.7/vendor-packages/logilab/common/corbautils.py \
 #    type=require
 
-# force a dependency on the Python 2.6 runtime
+# force a dependency on the Python 2.7 runtime
 depend fmri=__TBD pkg.debug.depend.file=python2.7 \
        pkg.debug.depend.path=usr/bin type=require
 
--- a/components/mercurial/Makefile	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/mercurial/Makefile	Wed Mar 28 10:58:59 2012 -0700
@@ -36,6 +36,9 @@
 include $(WS_TOP)/make-rules/setup.py.mk
 include $(WS_TOP)/make-rules/ips.mk
 
+COMPONENT_POST_INSTALL_ACTION = \
+	(cd $(PROTO_DIR)/usr/bin ; $(MV) -f hg hg-$(PYTHON_VERSION))
+
 PKG_PROTO_DIRS +=	$(COMPONENT_SRC)/contrib
 PKG_PROTO_DIRS +=	$(COMPONENT_SRC)/doc
 
--- a/components/mercurial/mercurial-26.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/mercurial/mercurial-26.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -82,7 +82,7 @@
 dir path=usr/lib/python2.6/vendor-packages/mercurial/templates/spartan
 dir path=usr/lib/python2.6/vendor-packages/mercurial/templates/static
 
-file path=usr/bin/hg
+file path=usr/bin/hg-2.6
 file path=usr/lib/python2.6/vendor-packages/hgext/__init__.py
 file path=usr/lib/python2.6/vendor-packages/hgext/acl.py
 file path=usr/lib/python2.6/vendor-packages/hgext/bugzilla.py
@@ -380,3 +380,5 @@
 file path=usr/lib/python2.6/vendor-packages/mercurial/win32.py
 file path=usr/lib/python2.6/vendor-packages/mercurial/windows.py
 file path=usr/lib/python2.6/vendor-packages/mercurial/wireproto.py
+
+link path=usr/bin/hg target=hg-2.6 mediator=python mediator-version=2.6
--- a/components/mercurial/mercurial-27.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/mercurial/mercurial-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -381,3 +381,6 @@
 file path=usr/lib/python2.7/vendor-packages/mercurial/win32.py
 file path=usr/lib/python2.7/vendor-packages/mercurial/windows.py
 file path=usr/lib/python2.7/vendor-packages/mercurial/wireproto.py
+file path=usr/bin/hg-2.7 pkg.depend.bypass-generate=.*
+
+link path=usr/bin/hg target=hg-2.7 mediator=python mediator-version=2.7
--- a/components/pylint/Makefile	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/pylint/Makefile	Wed Mar 28 10:58:59 2012 -0700
@@ -70,6 +70,16 @@
 	$(CP) $(COMPONENT_SRC)/examples/pylintrc_camelcase $(PDOC_PYLINT_EXAMPLES) ;
 COMPONENT_POST_INSTALL_ACTION += \
 	$(CP) $(COMPONENT_SRC)/examples/pylintrc $(PDOC_PYLINT_EXAMPLES) ;
+COMPONENT_POST_INSTALL_ACTION += \
+	(cd $(PROTO_DIR)/usr/bin; $(MV) epylint epylint-$(PYTHON_VERSION)) ;
+COMPONENT_POST_INSTALL_ACTION += \
+	(cd $(PROTO_DIR)/usr/bin; $(MV) pylint pylint-$(PYTHON_VERSION)) ;
+COMPONENT_POST_INSTALL_ACTION += \
+	(cd $(PROTO_DIR)/usr/bin; $(MV) pylint-gui pylint-gui-$(PYTHON_VERSION)) ;
+COMPONENT_POST_INSTALL_ACTION += \
+	(cd $(PROTO_DIR)/usr/bin; $(MV) pyreverse pyreverse-$(PYTHON_VERSION)) ;
+COMPONENT_POST_INSTALL_ACTION += \
+	(cd $(PROTO_DIR)/usr/bin; $(MV) symilar symilar-$(PYTHON_VERSION)) ;
 
 
 # common targets
--- a/components/pylint/pylint-26.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/pylint/pylint-26.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -33,6 +33,8 @@
 set name=org.opensolaris.arc-caseid \
     value=PSARC/2009/325
 
+dir path=usr
+dir path=usr/bin
 dir path=usr/lib
 dir path=usr/lib/python2.6
 dir path=usr/lib/python2.6/vendor-packages
@@ -43,6 +45,12 @@
 dir path=usr/lib/python2.6/vendor-packages/pylint/pyreverse
 dir path=usr/lib/python2.6/vendor-packages/pylint/reporters
 
+file path=usr/bin/epylint-2.6
+file path=usr/bin/pylint-2.6
+file path=usr/bin/pylint-gui-2.6
+file path=usr/bin/pyreverse-2.6
+file path=usr/bin/symilar-2.6
+
 file \
     path=usr/lib/python2.6/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.6.egg-info/PKG-INFO
 file \
@@ -85,6 +93,12 @@
 file path=usr/lib/python2.6/vendor-packages/pylint/reporters/text.py
 file path=usr/lib/python2.6/vendor-packages/pylint/utils.py
 
+link path=usr/bin/epylint target=epylint-2.6 mediator=python mediator-version=2.6
+link path=usr/bin/pylint target=pylint-2.6 mediator=python mediator-version=2.6
+link path=usr/bin/pylint-gui target=pylint-gui-2.6 mediator=python mediator-version=2.6
+link path=usr/bin/pyreverse target=pyreverse-2.6 mediator=python mediator-version=2.6
+link path=usr/bin/symilar target=symilar-2.6 mediator=python mediator-version=2.6
+
 license pylint.license license="GPLv2"
 
 # pkgdepend should have picked up the dependency on 
--- a/components/pylint/pylint-27.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/pylint/pylint-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -35,24 +35,36 @@
 
 license pylint.license license="GPLv2"
 
-# pkgdepend should have picked up the dependency on 
+# pkgdepend should pick up a dependency on 
 # /library/python-2/logilab-common and /library/python-2/logilab-astng; 
-# this explicit depend action can be removed if pkgdepend is fixed later
 #depend fmri=__TBD \
-#    pkg.debug.depend.file=usr/lib/python2.6/vendor-packages/logilab/common/textutils.py \
-#    pkg.debug.reason=usr/lib/python2.6/vendor-packages/pylint/utils.py \
+#    pkg.debug.depend.file=usr/lib/python2.7/vendor-packages/logilab/common/textutils.py \
+#    pkg.debug.reason=usr/lib/python2.7/vendor-packages/pylint/utils.py \
 #    type=require
 #depend fmri=__TBD \
-#    pkg.debug.depend.file=usr/lib/python2.6/vendor-packages/logilab/astng/nodes.py \
-#    pkg.debug.reason=usr/lib/python2.6/vendor-packages/pylint/lint.py \
+#    pkg.debug.depend.file=usr/lib/python2.7/vendor-packages/logilab/astng/nodes.py \
+#    pkg.debug.reason=usr/lib/python2.7/vendor-packages/pylint/lint.py \
 #    type=require
+dir path=usr
+dir path=usr/bin
+dir path=usr/lib
 dir path=usr/lib/python2.7
 dir path=usr/lib/python2.7/vendor-packages
+dir path=usr/lib/python2.7/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.7.egg-info
 dir path=usr/lib/python2.7/vendor-packages/pylint
 dir path=usr/lib/python2.7/vendor-packages/pylint/checkers
 dir path=usr/lib/python2.7/vendor-packages/pylint/pyreverse
 dir path=usr/lib/python2.7/vendor-packages/pylint/reporters
-file path=usr/lib/python2.7/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.7.egg-info
+file path=usr/bin/epylint-2.7 pkg.depend.bypass-generate=.*
+file path=usr/bin/pylint-2.7 pkg.depend.bypass-generate=.*
+file path=usr/bin/pylint-gui-2.7 pkg.depend.bypass-generate=.*
+file path=usr/bin/pyreverse-2.7 pkg.depend.bypass-generate=.*
+file path=usr/bin/symilar-2.7 pkg.depend.bypass-generate=.*
+file path=usr/lib/python2.7/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.7.egg-info/requires.txt
+file path=usr/lib/python2.7/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.7.egg-info/top_level.txt
+file path=usr/lib/python2.7/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.7.egg-info/dependency_links.txt
+file path=usr/lib/python2.7/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.7.egg-info/SOURCES.txt
+file path=usr/lib/python2.7/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.7.egg-info/PKG-INFO
 file path=usr/lib/python2.7/vendor-packages/pylint/__init__.py
 file path=usr/lib/python2.7/vendor-packages/pylint/__pkginfo__.py
 file path=usr/lib/python2.7/vendor-packages/pylint/checkers/__init__.py
@@ -85,6 +97,12 @@
 file path=usr/lib/python2.7/vendor-packages/pylint/reporters/text.py
 file path=usr/lib/python2.7/vendor-packages/pylint/utils.py
 
+link path=usr/bin/epylint target=epylint-2.7 mediator=python mediator-version=2.7
+link path=usr/bin/pylint target=pylint-2.7 mediator=python mediator-version=2.7
+link path=usr/bin/pylint-gui target=pylint-gui-2.7 mediator=python mediator-version=2.7
+link path=usr/bin/pyreverse target=pyreverse-2.7 mediator=python mediator-version=2.7
+link path=usr/bin/symilar target=symilar-2.7 mediator=python mediator-version=2.7
+
 # force a dependency on the Python 2.7 runtime
 depend fmri=__TBD pkg.debug.depend.file=python2.7 \
        pkg.debug.depend.path=usr/bin type=require
--- a/components/pylint/pylint.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/pylint/pylint.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -34,7 +34,6 @@
     value=PSARC/2009/325
 
 dir path=usr
-dir path=usr/bin
 dir path=usr/lib
 dir path=usr/share
 dir path=usr/share/doc
@@ -43,11 +42,6 @@
 dir path=usr/share/man
 dir path=usr/share/man/man1
 
-file path=usr/bin/epylint
-file path=usr/bin/pylint
-file path=usr/bin/pylint-gui
-file path=usr/bin/pyreverse
-file path=usr/bin/symilar
 file path=usr/share/doc/pylint/beginner_pylint_tutorial.txt
 file path=usr/share/doc/pylint/examples/custom_raw.py pkg.tmp.autopyc=false
 file path=usr/share/doc/pylint/examples/custom.py pkg.tmp.autopyc=false
--- a/components/python/cherrypy/Makefile	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/cherrypy/Makefile	Wed Mar 28 10:58:59 2012 -0700
@@ -18,7 +18,7 @@
 #
 # CDDL HEADER END
 #
-# Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2011, 2012, Oracle and/or its affiliates. All rights reserved.
 #
 include ../../../make-rules/shared-macros.mk
 
@@ -38,6 +38,10 @@
 include $(WS_TOP)/make-rules/setup.py.mk
 include $(WS_TOP)/make-rules/ips.mk
 
+COMPONENT_POST_INSTALL_ACTION = \
+	(cd $(PROTO_DIR)/usr/bin ; $(MV) -f cherryd cherryd$(PYTHON_VERSION))
+
+
 # common targets
 build:		$(BUILD_32)
 
--- a/components/python/cherrypy/cherrypy-26.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/cherrypy/cherrypy-26.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -93,4 +93,5 @@
 file path=usr/lib/python2.6/vendor-packages/cherrypy/process/wspbus.py
 file path=usr/lib/python2.6/vendor-packages/cherrypy/wsgiserver/__init__.py
 link path=usr/bin/cherryd \
-    target=../lib/python2.6/vendor-packages/cherrypy/cherryd
+    target=../lib/python2.6/vendor-packages/cherrypy/cherryd \
+    mediator=python mediator-version=2.6
--- a/components/python/cherrypy/cherrypy-27.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/cherrypy/cherrypy-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -157,3 +157,6 @@
 file path=usr/lib/python2.7/vendor-packages/cherrypy/tutorial/tut10_http_errors.py
 file path=usr/lib/python2.7/vendor-packages/cherrypy/tutorial/tutorial.conf
 file path=usr/lib/python2.7/vendor-packages/cherrypy/wsgiserver/__init__.py
+link path=usr/bin/cherryd \
+    target=../lib/python2.7/vendor-packages/cherrypy/cherryd \
+    mediator=python mediator-version=2.7
--- a/components/python/coverage/Makefile	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/coverage/Makefile	Wed Mar 28 10:58:59 2012 -0700
@@ -36,13 +36,12 @@
 include $(WS_TOP)/make-rules/setup.py.mk
 include $(WS_TOP)/make-rules/ips.mk
 
-# Building for Python 2.7 requires a corresponding setuptools package, so only
-# build the Python 2.6 version for now.
-PYTHON_VERSIONS=2.6
-
 # common targets
 build:		$(BUILD_32)
 
+COMPONENT_POST_INSTALL_ACTION =	\
+	(cd $(PROTO_DIR)/usr/bin ; $(MV) -f coverage coverage$(PYTHON_VERSION))
+
 install:	$(INSTALL_32)
 
 test:		$(NO_TESTS)
--- a/components/python/coverage/coverage-26.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/coverage/coverage-26.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -55,7 +55,7 @@
 dir \
     path=usr/lib/python2.6/vendor-packages/coverage-$(COMPONENT_VERSION)-py2.6.egg-info
 dir path=usr/lib/python2.6/vendor-packages/coverage/htmlfiles
-file path=usr/bin/coverage
+file path=usr/bin/coverage2.6
 file \
     path=usr/lib/python2.6/vendor-packages/coverage-$(COMPONENT_VERSION)-py2.6.egg-info/PKG-INFO
 file \
@@ -107,3 +107,5 @@
 file path=usr/lib/python2.6/vendor-packages/coverage/templite.py
 file path=usr/lib/python2.6/vendor-packages/coverage/tracer.so
 file path=usr/lib/python2.6/vendor-packages/coverage/xmlreport.py
+link path=usr/bin/coverage target=coverage2.6 \
+    mediator=python mediator-version=2.6
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/components/python/coverage/coverage-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -0,0 +1,99 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
+#
+
+set name=pkg.fmri value=pkg:/library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
+set name=pkg.summary value="The coverage.py Python code coverage tool"
+set name=pkg.description value="Coverage measures Python code coverage, typically during test execution."
+set name=info.classification value="org.opensolaris.category.2008:Development/Python"
+set name=info.upstream-url value=$(COMPONENT_PROJECT_URL)
+set name=info.upstream value="Ned Batchelder <[email protected]>"
+set name=info.source-url value=$(COMPONENT_ARCHIVE_URL)
+set name=org.opensolaris.consolidation value=$(CONSOLIDATION)
+set name=org.opensolaris.arc-caseid \
+    value=PSARC/2011/260
+
+license coverage.copyright license=BSD
+# the packaging software treats the license= attribute as the key, so
+# we need to name them differently or the tools will fail to deal with
+# the fact that they are really different license files.
+license jquery.copyright license=MIT-1
+license jquery.isonscreen.copyright license=MIT-2
+
+# force a dependency on the Python 2.7 runtime
+depend fmri=__TBD pkg.debug.depend.file=python2.7 \
+       pkg.debug.depend.path=usr/bin type=require
+
+# force a dependency on the coverage package
+depend fmri=library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION) type=require
+
+dir path=usr
+dir path=usr/bin
+dir path=usr/lib
+dir path=usr/lib/python2.7
+dir path=usr/lib/python2.7/vendor-packages
+dir path=usr/lib/python2.7/vendor-packages/coverage
+dir path=usr/lib/python2.7/vendor-packages/coverage-$(COMPONENT_VERSION)-py2.7.egg-info
+dir path=usr/lib/python2.7/vendor-packages/coverage/htmlfiles
+file path=usr/bin/coverage2.7 pkg.depend.bypass-generate=.*
+file path=usr/lib/python2.7/vendor-packages/coverage-$(COMPONENT_VERSION)-py2.7.egg-info/dependency_links.txt
+file path=usr/lib/python2.7/vendor-packages/coverage-$(COMPONENT_VERSION)-py2.7.egg-info/entry_points.txt
+file path=usr/lib/python2.7/vendor-packages/coverage-$(COMPONENT_VERSION)-py2.7.egg-info/not-zip-safe
+file path=usr/lib/python2.7/vendor-packages/coverage-$(COMPONENT_VERSION)-py2.7.egg-info/PKG-INFO
+file path=usr/lib/python2.7/vendor-packages/coverage-$(COMPONENT_VERSION)-py2.7.egg-info/SOURCES.txt
+file path=usr/lib/python2.7/vendor-packages/coverage-$(COMPONENT_VERSION)-py2.7.egg-info/top_level.txt
+file path=usr/lib/python2.7/vendor-packages/coverage/__init__.py
+file path=usr/lib/python2.7/vendor-packages/coverage/__main__.py
+file path=usr/lib/python2.7/vendor-packages/coverage/annotate.py
+file path=usr/lib/python2.7/vendor-packages/coverage/backward.py
+file path=usr/lib/python2.7/vendor-packages/coverage/bytecode.py
+file path=usr/lib/python2.7/vendor-packages/coverage/cmdline.py
+file path=usr/lib/python2.7/vendor-packages/coverage/codeunit.py
+file path=usr/lib/python2.7/vendor-packages/coverage/collector.py
+file path=usr/lib/python2.7/vendor-packages/coverage/config.py
+file path=usr/lib/python2.7/vendor-packages/coverage/control.py
+file path=usr/lib/python2.7/vendor-packages/coverage/data.py
+file path=usr/lib/python2.7/vendor-packages/coverage/execfile.py
+file path=usr/lib/python2.7/vendor-packages/coverage/files.py
+file path=usr/lib/python2.7/vendor-packages/coverage/html.py
+file path=usr/lib/python2.7/vendor-packages/coverage/htmlfiles/coverage_html.js
+file path=usr/lib/python2.7/vendor-packages/coverage/htmlfiles/index.html
+file path=usr/lib/python2.7/vendor-packages/coverage/htmlfiles/jquery-1.4.3.min.js
+file path=usr/lib/python2.7/vendor-packages/coverage/htmlfiles/jquery.hotkeys.js
+file path=usr/lib/python2.7/vendor-packages/coverage/htmlfiles/jquery.isonscreen.js
+file path=usr/lib/python2.7/vendor-packages/coverage/htmlfiles/jquery.tablesorter.min.js
+file path=usr/lib/python2.7/vendor-packages/coverage/htmlfiles/keybd_closed.png
+file path=usr/lib/python2.7/vendor-packages/coverage/htmlfiles/keybd_open.png
+file path=usr/lib/python2.7/vendor-packages/coverage/htmlfiles/pyfile.html
+file path=usr/lib/python2.7/vendor-packages/coverage/htmlfiles/style.css
+file path=usr/lib/python2.7/vendor-packages/coverage/misc.py
+file path=usr/lib/python2.7/vendor-packages/coverage/parser.py
+file path=usr/lib/python2.7/vendor-packages/coverage/phystokens.py
+file path=usr/lib/python2.7/vendor-packages/coverage/report.py
+file path=usr/lib/python2.7/vendor-packages/coverage/results.py
+file path=usr/lib/python2.7/vendor-packages/coverage/summary.py
+file path=usr/lib/python2.7/vendor-packages/coverage/templite.py
+file path=usr/lib/python2.7/vendor-packages/coverage/tracer.so
+file path=usr/lib/python2.7/vendor-packages/coverage/xmlreport.py
+link path=usr/bin/coverage target=coverage2.7 \
+    mediator=python mediator-version=2.7
+
--- a/components/python/coverage/coverage.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/coverage/coverage.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -33,4 +33,7 @@
 depend fmri=library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION) \
     predicate=runtime/python-26 \
     type=conditional
+depend fmri=library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION) \
+    predicate=runtime/python-27 \
+    type=conditional
 
--- a/components/python/ldtp/Makefile	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/ldtp/Makefile	Wed Mar 28 10:58:59 2012 -0700
@@ -18,7 +18,7 @@
 #
 # CDDL HEADER END
 #
-# Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2011, 2012, Oracle and/or its affiliates. All rights reserved.
 #
 include ../../../make-rules/shared-macros.mk
 
@@ -38,6 +38,9 @@
 include $(WS_TOP)/make-rules/setup.py.mk
 include $(WS_TOP)/make-rules/ips.mk
 
+COMPONENT_POST_INSTALL_ACTION = \
+	(cd $(PROTO_DIR)/usr/bin ; $(MV) -f ldtp ldtp$(PYTHON_VERSION))
+
 # common targets
 build:		$(BUILD_32)
 
--- a/components/python/ldtp/ldtp-26.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/ldtp/ldtp-26.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -50,7 +50,7 @@
 dir path=usr/lib/python2.6/vendor-packages/ldtpd
 dir path=usr/lib/python2.6/vendor-packages/ldtputils
 dir path=usr/lib/python2.6/vendor-packages/ooldtp
-file path=usr/bin/ldtp
+file path=usr/bin/ldtp2.6
 file \
     path=usr/lib/python2.6/vendor-packages/ldtp-$(COMPONENT_VERSION)-py2.6.egg-info
 file path=usr/lib/python2.6/vendor-packages/ldtp/__init__.py
@@ -79,3 +79,4 @@
 file path=usr/lib/python2.6/vendor-packages/ldtputils/__init__.py
 file path=usr/lib/python2.6/vendor-packages/ooldtp/__init__.py
 file path=usr/lib/python2.6/vendor-packages/ooldtp/_context.py
+link path=usr/bin/ldtp target=ldtp2.6 mediator=python mediator-version=2.6
--- a/components/python/ldtp/ldtp-27.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/ldtp/ldtp-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -44,12 +44,14 @@
 depend fmri=system/desktop/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION) \
     type=require
 
+dir path=usr/bin
 dir path=usr/lib/python2.7
 dir path=usr/lib/python2.7/vendor-packages
 dir path=usr/lib/python2.7/vendor-packages/ldtp
 dir path=usr/lib/python2.7/vendor-packages/ldtpd
 dir path=usr/lib/python2.7/vendor-packages/ldtputils
 dir path=usr/lib/python2.7/vendor-packages/ooldtp
+file path=usr/bin/ldtp2.7 pkg.depend.bypass-generate=.*
 file path=usr/lib/python2.7/vendor-packages/ldtp-2.1.1-py2.7.egg-info
 file path=usr/lib/python2.7/vendor-packages/ldtp/__init__.py
 file path=usr/lib/python2.7/vendor-packages/ldtp/client_exception.py
@@ -77,3 +79,4 @@
 file path=usr/lib/python2.7/vendor-packages/ldtputils/__init__.py
 file path=usr/lib/python2.7/vendor-packages/ooldtp/__init__.py
 file path=usr/lib/python2.7/vendor-packages/ooldtp/_context.py
+link path=usr/bin/ldtp target=ldtp2.7 mediator=python mediator-version=2.7
--- a/components/python/m2crypto/m2crypto-27.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/m2crypto/m2crypto-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -45,7 +45,11 @@
 dir path=/usr/lib/python2.7/vendor-packages/M2Crypto/64
 dir path=/usr/lib/python2.7/vendor-packages/M2Crypto/PGP
 dir path=/usr/lib/python2.7/vendor-packages/M2Crypto/SSL
-file path=/usr/lib/python2.7/vendor-packages/M2Crypto-0.21.1-py2.7.egg-info
+dir path=/usr/lib/python2.7/vendor-packages/M2Crypto-0.21.1-py2.7.egg-info
+file path=/usr/lib/python2.7/vendor-packages/M2Crypto-0.21.1-py2.7.egg-info/dependency_links.txt
+file path=/usr/lib/python2.7/vendor-packages/M2Crypto-0.21.1-py2.7.egg-info/SOURCES.txt
+file path=/usr/lib/python2.7/vendor-packages/M2Crypto-0.21.1-py2.7.egg-info/top_level.txt
+file path=/usr/lib/python2.7/vendor-packages/M2Crypto-0.21.1-py2.7.egg-info/PKG-INFO
 file path=/usr/lib/python2.7/vendor-packages/M2Crypto/__init__.py
 file path=/usr/lib/python2.7/vendor-packages/M2Crypto/__m2crypto.so
 file path=/usr/lib/python2.7/vendor-packages/M2Crypto/64/__m2crypto.so
--- a/components/python/mako/Makefile	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/mako/Makefile	Wed Mar 28 10:58:59 2012 -0700
@@ -36,10 +36,6 @@
 include $(WS_TOP)/make-rules/setup.py.mk
 include $(WS_TOP)/make-rules/ips.mk
 
-# Building for Python 2.7 requires a corresponding setuptools package, so only
-# build the Python 2.6 version for now.
-PYTHON_VERSIONS=2.6
-
 # common targets
 build:		$(BUILD_32)
 
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/components/python/mako/mako-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -0,0 +1,87 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
+#
+
+set name=pkg.fmri value=pkg:/library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
+set name=pkg.summary value="Template library written in Python"
+set name=pkg.description value="Mako is an embedded Python (i.e., Python Server Page) templating language."
+set name=info.classification value="org.opensolaris.category.2008:Development/Python"
+set name=info.upstream-url value=$(COMPONENT_PROJECT_URL)
+set name=info.upstream value="Mike Bayer <[email protected]>"
+set name=info.source-url value=$(COMPONENT_ARCHIVE_URL)
+set name=org.opensolaris.consolidation value=$(CONSOLIDATION)
+set name=org.opensolaris.arc-caseid \
+    value=PSARC/2011/263
+
+license mako.copyright license=MIT
+
+# force a dependency on the Python 2.7 runtime
+depend fmri=__TBD pkg.debug.depend.file=python2.7 \
+       pkg.debug.depend.path=usr/bin type=require
+
+# force a dependency on the mako package
+depend fmri=library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION) \
+    type=require
+
+dir path=usr
+dir path=usr/lib
+dir path=usr/lib/python2.7
+dir path=usr/lib/python2.7/vendor-packages
+dir \
+    path=usr/lib/python2.7/vendor-packages/Mako-$(COMPONENT_VERSION)-py2.7.egg-info
+dir path=usr/lib/python2.7/vendor-packages/mako
+dir path=usr/lib/python2.7/vendor-packages/mako/ext
+file \
+    path=usr/lib/python2.7/vendor-packages/Mako-$(COMPONENT_VERSION)-py2.7.egg-info/PKG-INFO
+file \
+    path=usr/lib/python2.7/vendor-packages/Mako-$(COMPONENT_VERSION)-py2.7.egg-info/SOURCES.txt
+file \
+    path=usr/lib/python2.7/vendor-packages/Mako-$(COMPONENT_VERSION)-py2.7.egg-info/dependency_links.txt
+file \
+    path=usr/lib/python2.7/vendor-packages/Mako-$(COMPONENT_VERSION)-py2.7.egg-info/entry_points.txt
+file \
+    path=usr/lib/python2.7/vendor-packages/Mako-$(COMPONENT_VERSION)-py2.7.egg-info/not-zip-safe
+file \
+    path=usr/lib/python2.7/vendor-packages/Mako-$(COMPONENT_VERSION)-py2.7.egg-info/requires.txt
+file \
+    path=usr/lib/python2.7/vendor-packages/Mako-$(COMPONENT_VERSION)-py2.7.egg-info/top_level.txt
+file path=usr/lib/python2.7/vendor-packages/mako/__init__.py
+file path=usr/lib/python2.7/vendor-packages/mako/_ast_util.py
+file path=usr/lib/python2.7/vendor-packages/mako/ast.py
+file path=usr/lib/python2.7/vendor-packages/mako/cache.py
+file path=usr/lib/python2.7/vendor-packages/mako/codegen.py
+file path=usr/lib/python2.7/vendor-packages/mako/exceptions.py
+file path=usr/lib/python2.7/vendor-packages/mako/ext/__init__.py
+file path=usr/lib/python2.7/vendor-packages/mako/ext/autohandler.py
+file path=usr/lib/python2.7/vendor-packages/mako/ext/babelplugin.py
+file path=usr/lib/python2.7/vendor-packages/mako/ext/preprocessors.py
+file path=usr/lib/python2.7/vendor-packages/mako/ext/pygmentplugin.py
+file path=usr/lib/python2.7/vendor-packages/mako/ext/turbogears.py
+file path=usr/lib/python2.7/vendor-packages/mako/filters.py
+file path=usr/lib/python2.7/vendor-packages/mako/lexer.py
+file path=usr/lib/python2.7/vendor-packages/mako/lookup.py
+file path=usr/lib/python2.7/vendor-packages/mako/parsetree.py
+file path=usr/lib/python2.7/vendor-packages/mako/pygen.py
+file path=usr/lib/python2.7/vendor-packages/mako/pyparser.py
+file path=usr/lib/python2.7/vendor-packages/mako/runtime.py
+file path=usr/lib/python2.7/vendor-packages/mako/template.py
+file path=usr/lib/python2.7/vendor-packages/mako/util.py
--- a/components/python/mako/mako.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/mako/mako.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -33,3 +33,6 @@
 depend fmri=library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION) \
     predicate=runtime/python-26 \
     type=conditional
+depend fmri=library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION) \
+    predicate=runtime/python-27 \
+    type=conditional
--- a/components/python/nose/nose-26.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/nose/nose-26.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -40,7 +40,6 @@
 dir path=usr/lib/python2.6/vendor-packages/nose/plugins
 dir path=usr/lib/python2.6/vendor-packages/nose/sphinx
 
-file path=usr/bin/nosetests
 file path=usr/bin/nosetests-2.6
 file path=usr/lib/python2.6/vendor-packages/nose-$(COMPONENT_VERSION)-py2.6.egg-info/dependency_links.txt
 file path=usr/lib/python2.6/vendor-packages/nose-$(COMPONENT_VERSION)-py2.6.egg-info/entry_points.txt
@@ -94,6 +93,9 @@
 file path=usr/lib/python2.6/vendor-packages/nose/usage.txt
 file path=usr/lib/python2.6/vendor-packages/nose/util.py
 
+link path=usr/bin/nosetests target=nosetests-2.6 \
+    mediator=python mediator-version=2.6
+
 # force a dependency on the Python 2.6 runtime
 depend fmri=__TBD pkg.debug.depend.file=python2.6 \
 	pkg.debug.depend.path=usr/bin type=require
--- a/components/python/nose/nose-27.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/nose/nose-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -38,18 +38,14 @@
 dir path=usr/lib/python2.7/vendor-packages/nose/plugins
 dir path=usr/lib/python2.7/vendor-packages/nose/sphinx
 
-# nosetests-2.7 shows up and egg-info turns into a directory
-# structure when the 2.7 version of setuptools appears, but
-# we are not there yet
-file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info
 # pkgdepend(1) and python 2.7 don't play well yet.
-#file path=usr/bin/nosetests-2.7 pkg.depend.bypass-generate=.*
-#file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info/dependency_links.txt
-#file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info/entry_points.txt
-#file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info/not-zip-safe
-#file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info/PKG-INFO
-#file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info/SOURCES.txt
-#file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info/top_level.txt
+file path=usr/bin/nosetests-2.7 pkg.depend.bypass-generate=.*
+file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info/dependency_links.txt
+file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info/entry_points.txt
+file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info/not-zip-safe
+file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info/PKG-INFO
+file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info/SOURCES.txt
+file path=usr/lib/python2.7/vendor-packages/nose-$(COMPONENT_VERSION)-py2.7.egg-info/top_level.txt
 file path=usr/lib/python2.7/vendor-packages/nose/__init__.py
 file path=usr/lib/python2.7/vendor-packages/nose/case.py
 file path=usr/lib/python2.7/vendor-packages/nose/commands.py
@@ -96,6 +92,9 @@
 file path=usr/lib/python2.7/vendor-packages/nose/usage.txt
 file path=usr/lib/python2.7/vendor-packages/nose/util.py
 
+link path=usr/bin/nosetests target=nosetests-2.7 \
+    mediator=python mediator-version=2.7
+
 # force a dependency on the Python 2.7 runtime
 depend fmri=__TBD pkg.debug.depend.file=python2.7 \
 	pkg.debug.depend.path=usr/bin type=require
--- a/components/python/ply/ply-27.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/ply/ply-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -47,7 +47,11 @@
 dir path=usr/lib/python2.7
 dir path=usr/lib/python2.7/vendor-packages
 dir path=usr/lib/python2.7/vendor-packages/ply
-file path=usr/lib/python2.7/vendor-packages/ply-$(COMPONENT_VERSION)-py2.7.egg-info
+dir path=usr/lib/python2.7/vendor-packages/ply-$(COMPONENT_VERSION)-py2.7.egg-info
+file path=usr/lib/python2.7/vendor-packages/ply-$(COMPONENT_VERSION)-py2.7.egg-info/dependency_links.txt
+file path=usr/lib/python2.7/vendor-packages/ply-$(COMPONENT_VERSION)-py2.7.egg-info/PKG-INFO
+file path=usr/lib/python2.7/vendor-packages/ply-$(COMPONENT_VERSION)-py2.7.egg-info/SOURCES.txt
+file path=usr/lib/python2.7/vendor-packages/ply-$(COMPONENT_VERSION)-py2.7.egg-info/top_level.txt
 file path=usr/lib/python2.7/vendor-packages/ply/__init__.py
 file path=usr/lib/python2.7/vendor-packages/ply/cpp.py
 file path=usr/lib/python2.7/vendor-packages/ply/ctokens.py
--- a/components/python/pylxml/pylxml-27.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/pylxml/pylxml-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -37,9 +37,14 @@
 dir path=usr/lib/python2.7
 dir path=usr/lib/python2.7/vendor-packages
 dir path=usr/lib/python2.7/vendor-packages/lxml
+dir path=usr/lib/python2.7/vendor-packages/lxml-$(COMPONENT_VERSION)-py2.7.egg-info
 dir path=usr/lib/python2.7/vendor-packages/lxml/64
 dir path=usr/lib/python2.7/vendor-packages/lxml/html
-file path=usr/lib/python2.7/vendor-packages/lxml-2.1.2-py2.7.egg-info
+file path=usr/lib/python2.7/vendor-packages/lxml-$(COMPONENT_VERSION)-py2.7.egg-info/dependency_links.txt
+file path=usr/lib/python2.7/vendor-packages/lxml-$(COMPONENT_VERSION)-py2.7.egg-info/not-zip-safe
+file path=usr/lib/python2.7/vendor-packages/lxml-$(COMPONENT_VERSION)-py2.7.egg-info/PKG-INFO
+file path=usr/lib/python2.7/vendor-packages/lxml-$(COMPONENT_VERSION)-py2.7.egg-info/SOURCES.txt
+file path=usr/lib/python2.7/vendor-packages/lxml-$(COMPONENT_VERSION)-py2.7.egg-info/top_level.txt
 file path=usr/lib/python2.7/vendor-packages/lxml/__init__.py
 file path=usr/lib/python2.7/vendor-packages/lxml/_elementpath.py
 file path=usr/lib/python2.7/vendor-packages/lxml/64/etree.so
--- a/components/python/python26/python-26.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/python26/python-26.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -18,7 +18,7 @@
 #
 # CDDL HEADER END
 #
-# Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2011, 2012, Oracle and/or its affiliates. All rights reserved.
 #
 
 <transform file path=usr.*/man/.+ -> default mangler.man.stability uncommitted>
@@ -83,9 +83,9 @@
 file usr/bin/$(MACH64)/python2.6 path=usr/bin/$(MACH64)/isapython2.6
 file path=usr/bin/$(MACH64)/python2.6-config pkg.depend.bypass-generate=.*
 
-file path=usr/bin/2to3
-file path=usr/bin/idle
-file path=usr/bin/pydoc
+file usr/bin/2to3 path=usr/bin/2to3-2.6
+file usr/bin/idle path=usr/bin/idle-2.6
+file usr/bin/pydoc path=usr/bin/pydoc-2.6
 file path=usr/bin/python2.6-config
 
 file path=usr/include/python2.6/Python-ast.h
@@ -977,13 +977,10 @@
 file usr/share/man/man1/python.1 path=usr/share/man/man1/python2.6.1
 hardlink path=usr/bin/isapython2.6 target=../lib/isaexec
 license python26.license license=PSFv2
-link path=usr/bin/$(MACH64)/python target=python2.6
+
 link path=usr/bin/$(MACH64)/python2.6 target=isapython2.6
 
 # python2.6
-link path=usr/bin/python target=python2.6
-link path=usr/bin/python-config target=python2.6-config
-link path=usr/bin/python-config target=python2.6-config
 link path=usr/bin/python2.6 target=$(MACH32)/isapython2.6
 link path=usr/lib/$(MACH64)/libpython2.6.so target=libpython2.6.so.1.0
 link path=usr/lib/$(MACH64)/libpython2.6_db.so target=libpython2.6_db.so.1.0
@@ -991,5 +988,23 @@
 link path=usr/lib/libpython2.6_db.so target=libpython2.6_db.so.1.0
 link path=usr/lib/python2.6/pyCC target=pycc
 
+link path=usr/bin/2to3 target=2to3-2.6 \
+    mediator=python mediator-version=2.6
+link path=usr/bin/idle target=idle-2.6 \
+    mediator=python mediator-version=2.6
+link path=usr/bin/pydoc target=pydoc-2.6 \
+    mediator=python mediator-version=2.6
+link path=usr/bin/python target=python2.6 \
+    mediator=python mediator-version=2.6
+link path=usr/bin/python-config target=python2.6-config \
+    mediator=python mediator-version=2.6
+link path=usr/bin/$(MACH64)/python target=python2.6 \
+    mediator=python mediator-version=2.6
+link path=usr/bin/$(MACH64)/python-config target=python2.6-config \
+    mediator=python mediator-version=2.6
+link path=usr/share/man/man1/python.1 target=python2.6.1 \
+    mediator=python mediator-version=2.6
+
+
 # This optionally brings in the python tk support if tk is installed
 depend type=conditional fmri=library/python-2/tkinter-26 predicate=runtime/tk-8
--- a/components/python/python27/python-27.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/python27/python-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -18,7 +18,7 @@
 #
 # CDDL HEADER END
 #
-# Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2011, 2012, Oracle and/or its affiliates. All rights reserved.
 #
 
 <transform file path=usr.*/man/.+ -> default mangler.man.stability uncommitted>
@@ -100,17 +100,11 @@
 dir path=usr/share/man
 dir path=usr/share/man/man1
 
-# These are commented out until python 2.7 becomes the default
-#file path=usr/bin/$(MACH64)/2to3 pkg.depend.bypass-generate=.*
-#file path=usr/bin/$(MACH64)/idle pkg.depend.bypass-generate=.*
-#file path=usr/bin/$(MACH64)/pydoc pkg.depend.bypass-generate=.*
-#file path=usr/bin/$(MACH64)/python
+file usr/bin/2to3 path=usr/bin/2to3-2.7 pkg.depend.bypass-generate=.*
+file usr/bin/idle path=usr/bin/idle-2.7 pkg.depend.bypass-generate=.*
+file usr/bin/pydoc path=usr/bin/pydoc-2.7 pkg.depend.bypass-generate=.*
+#file path=usr/bin/smtpd.py pkg.depend.bypass-generate=.* pkg.tmp.autopyc=false
 #file path=usr/bin/$(MACH64)/smtpd.py pkg.depend.bypass-generate=.* pkg.tmp.autopyc=false
-#file path=usr/bin/2to3 pkg.depend.bypass-generate=.*
-#file path=usr/bin/idle pkg.depend.bypass-generate=.*
-#file path=usr/bin/pydoc pkg.depend.bypass-generate=.*
-#file path=usr/bin/python
-#file path=usr/bin/smtpd.py pkg.depend.bypass-generate=.* pkg.tmp.autopyc=false
 
 file usr/bin/python2.7           path=usr/bin/$(MACH32)/isapython2.7
 file usr/bin/$(MACH64)/python2.7 path=usr/bin/$(MACH64)/isapython2.7
@@ -1060,17 +1054,32 @@
 
 hardlink path=usr/bin/isapython2.7 target=../lib/isaexec
 
-# commented out until 2.7 is the default
-#link path=usr/bin/$(MACH64)/python-config target=python2.7-config
-#link path=usr/bin/python-config target=python2.7-config
-#link path=usr/lib/$(MACH64)/pkgconfig/python.pc target=python-2.7.pc
-#link path=usr/lib/pkgconfig/python.pc target=python-2.7.pc
 link path=usr/bin/$(MACH32)/python2.7 target=isapython2.7
 link path=usr/bin/$(MACH64)/python2.7 target=isapython2.7
 link path=usr/bin/python2.7 target=$(MACH32)/isapython2.7
 link path=usr/lib/$(MACH64)/libpython2.7.so target=libpython2.7.so.1.0
 link path=usr/lib/libpython2.7.so target=libpython2.7.so.1.0
 
+link path=usr/bin/2to3 target=2to3-2.7 mediator=python mediator-version=2.7 \
+    pkg.linted.pkglint.dupaction010.1=true
+link path=usr/bin/idle target=idle-2.7 mediator=python mediator-version=2.7 \
+    pkg.linted.pkglint.dupaction010.1=true
+link path=usr/bin/pydoc target=pydoc-2.7 mediator=python mediator-version=2.7 \
+    pkg.linted.pkglint.dupaction010.1=true
+link path=usr/bin/python target=python2.7 mediator=python mediator-version=2.7 \
+    pkg.linted.pkglint.dupaction010.2=true
+link path=usr/bin/python-config target=python2.7-config mediator=python mediator-version=2.7 \
+    pkg.linted.pkglint.dupaction010.2=true
+link path=usr/bin/$(MACH64)/python target=python2.7 mediator=python mediator-version=2.7 \
+    pkg.linted.pkglint.dupaction010.2=true
+link path=usr/bin/$(MACH64)/python-config target=python2.7-config mediator=python mediator-version=2.7 \
+    pkg.linted.pkglint.dupaction010.2=true
+link path=usr/lib/pkgconfig/python.pc target=python-2.7.pc mediator=python mediator-version=2.7
+link path=usr/lib/$(MACH64)/pkgconfig/python.pc target=python-2.7.pc mediator=python mediator-version=2.7
+link path=usr/share/man/man1/python.1 target=python2.7.1 mediator=python mediator-version=2.7
+
 # This optionally brings in the python tk support if tk is installed
 depend type=conditional fmri=library/python-2/tkinter-27 predicate=runtime/tk-8
 
+# If 2.6 is installed, bump it up to the current version to avoid conflicts.
+depend type=optional fmri=runtime/[email protected],$(BUILD_VERSION)
--- a/components/python/setuptools/setuptools-26.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/setuptools/setuptools-26.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -86,6 +86,9 @@
 file path=usr/lib/python2.6/vendor-packages/setuptools/tests/doctest.py
 file path=usr/bin/easy_install-2.6
 
+link path=usr/bin/easy_install target=easy_install-2.6 \
+    mediator=python mediator-version=2.6
+
 # force a dependency on the Python 2.6 runtime
 depend fmri=__TBD pkg.debug.depend.file=python2.6 \
        pkg.debug.depend.path=usr/bin type=require
--- a/components/python/setuptools/setuptools-27.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/setuptools/setuptools-27.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -86,6 +86,9 @@
 file path=usr/lib/python2.7/vendor-packages/setuptools/tests/test_resources.py pkg.depend.bypass-generate=.*
 file path=usr/bin/easy_install-2.7 pkg.depend.bypass-generate=.*
 
+link path=usr/bin/easy_install target=easy_install-2.7 \
+    mediator=python mediator-version=2.7
+
 # force a dependency on the Python 2.7 runtime
 depend fmri=__TBD pkg.debug.depend.file=python2.7 \
        pkg.debug.depend.path=usr/bin type=require
--- a/components/python/setuptools/setuptools.p5m	Wed Mar 28 10:06:23 2012 -0700
+++ b/components/python/setuptools/setuptools.p5m	Wed Mar 28 10:58:59 2012 -0700
@@ -28,10 +28,6 @@
 set name=info.source-url value=$(COMPONENT_ARCHIVE_URL)
 set name=org.opensolaris.consolidation value=$(CONSOLIDATION)
 
-dir  path=usr
-dir  path=usr/bin
-link path=usr/bin/easy_install target=easy_install-2.7
-
 depend fmri=library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION) \
     predicate=runtime/python-26 \
     type=conditional
--- a/transforms/defaults	Wed Mar 28 10:06:23 2012 -0700
+++ b/transforms/defaults	Wed Mar 28 10:58:59 2012 -0700
@@ -20,7 +20,7 @@
 #
 
 #
-# Copyright (c) 2010, 2011, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2010, 2012, Oracle and/or its affiliates. All rights reserved.
 #
 
 <transform dir path=etc$ -> default group sys>
@@ -118,3 +118,8 @@
 # This is set to the final version number delivered as SVR4 format
 <transform legacy -> default version "11.11.0,REV=2010.05.25.01.00">
 
+#
+# Set the default Python for mediated links
+#
+<transform link mediator=python mediator-version=2.6 -> default mediator-priority vendor>
+